#!/bin/sh
#Interfaz Xdialog para editar el archivo de configuracion de programas de radio a grabar
#
#Este script est licenciado bajo la [1] GNU General Public License (GPL) y por tanto
# se permite su copia, distribucin y/o modificacin mientras se mantenga su licencia y
# se cite que est realizado por [2] Garraxi Irratia. Contacto: [3] Martintxo
#
#[1] http://www.gnu.org/copyleft/gpl.html
#[2] http://sindominio.net/garraxi/
#[3] martintxo@sindominio.net

#Variables utiles (paths y tal):
#CONFIGPROGRAMAS=/home/martintxo/pruebas/config-programas.txt
CONFIGPROGRAMAS=/home/garraxi/.programas-radio/config-programas.txt

#Para comprobar que es garraxi2 el que ejecuta el script (si no es exit, si es continua...):
QUIENSOY=`whoami`;
if [ "$QUIENSOY" != "garraxi2" ];then
Xdialog --wmclass "soma" --title "Usuario no autorizado" --icon /usr/local/share/pixmaps/warning.xpm \
        --msgbox "Me parece que tu no eres el Administrador de la Emisin.\nAbortando..." 0 0;
exit;
fi

#Variable para aadir la fecha al nombre de la copia de backup de programas.txt:
DATE=`date +%d-%m-%Y_%H:%M:%S`

#GUI para editar el archivo de programas:
GUI=`Xdialog --wmclass "soma" --title "Editor programas" --stdout --left \
        --backtitle "EDITOR DEL FICHERO DE CONFIGURACION DE LOS PROGRAMAS DE RADIO\nSigue las instrucciones de las lineas que empiezan por # (comentarios).\nGracias!!" \
	--editbox "$CONFIGPROGRAMAS" 40 80 `

#Si OK: backup de programas.txt antes de editarlo y edita programas.txt con cuadro de texto xdialog:
#Si Cancel: sale sin hacer nada
case $? in
  0)
    DIRCONFIGPROGRAMAS=`dirname "$CONFIGPROGRAMAS"`
    cp "$CONFIGPROGRAMAS" ""$DIRCONFIGPROGRAMAS"/config-programas_$DATE.txt"
    echo "$GUI" > "$CONFIGPROGRAMAS"
    Xdialog --wmclass "soma" --title "Editor programas" --stdout --left --no-cancel \
        --backtitle "As ha quedado el fichero de configuracion de programas.\nComprueba que est bien y si no vuelve a empezar.\n(Esta ventana no es editable)." \
	--textbox "$CONFIGPROGRAMAS" 40 80
;;
  1)
    exit;;
esac
